import { Scale } from './Scale';
import { LinearScaleModel } from './LinearScaleModel';
export declare class LinearScale extends Scale {
    render(): void;
    expand_domain(old_range: any, new_range: any): void;
    invert(pixel: any): number | Date;
    invert_range(pixels: any): any;
    scale: d3.ScaleLinear<number, number> | d3.ScaleTime<Date, number> | d3.ScaleLogarithmic<number, number>;
    model: LinearScaleModel;
}
